import 'package:flutter/material.dart';

class BottomSheetExpanded extends StatelessWidget {
  final List<Widget> children;
  final double horizontalPadding;

  const BottomSheetExpanded({
    super.key,
    required this.children,
    this.horizontalPadding = 35,
  });

  @override
  Widget build(BuildContext context) {
    return SafeArea(
      child: Scaffold(
        backgroundColor: const Color(0xFFD6F4FF),
        body: Column(
          children: [
            const Expanded(
              child: Padding(
                padding: EdgeInsets.all(15.0),
                child: Image(
                  image: AssetImage('images/logo_prosapp.png'),
                ),
              ),
            ),
            Container(
              width: double.infinity,
              decoration: const BoxDecoration(
                color: Colors.white,
                borderRadius: BorderRadius.only(
                  topLeft: Radius.circular(30),
                  topRight: Radius.circular(30),
                ),
              ),
              child: Padding(
                padding: EdgeInsets.symmetric(
                  horizontal: horizontalPadding,
                  vertical: 15,
                ),
                child: Column(children: children),
              ),
            ),
          ],
        ),
      ),
    );
  }
}
